//Trans_OutputPanel.java

import java.awt.*;
//import java.awt.event.*;
//import java.lang.*;  

public class ClosePanel extends Panel{
    private static final Color bgcolor = new Color(230,230,230);
    //private static final Color bgcolor = Color.lightGray;
    
    private static final Font labfont=TheFonts.sanSerif12;
    private static final Font titlefont=TheFonts.bold16;
    private static final Font normalfont = TheFonts.sanSerif12;
    private static final Font symbolfont = TheFonts.serif12;
    private static final Font subfont    = TheFonts.sanSerif10;
    public Button binstr;
    Trans_State state;
    
    public ClosePanel(Trans_State state){
	super();
	this.state = state;
	setLayout(null);
	
        // update button
            binstr = new Button("Instructions");
            binstr.setBackground(new Color(240,240,255));
            add(binstr);
            int buttonx = 1;
            int buttony = 1;
            int buttonwide = 110;
            int buttonheight = 22;

            binstr.setBounds(buttonx,buttony,buttonwide,buttonheight);
            binstr.setBackground(Color.white);
            binstr.setFont(labfont);
            Panel ps7 = new Panel();
                ps7.setBackground(Color.lightGray);
                add(ps7);
                ps7.setBounds(buttonx-1,buttony-1,buttonwide+2,buttonheight+2);

            Panel ps8 = new Panel();
                ps8.setBackground(Color.black);
                add(ps8);
                ps8.setBounds(buttonx-2,buttony-2,buttonwide+4,buttonheight+4);
	
	
    }
    
        
    public void paint(Graphics g){
	    g.clearRect(0,0,getSize().width,getSize().height);
	    g.setColor(bgcolor.darker());
	    g.fillRect(0,getSize().height-2,getSize().width,2);
	    g.fillRect(getSize().width-2,0,2,getSize().height);
	    g.setColor(bgcolor.brighter());
	    g.fillRect(0,0,2,getSize().height-1);
	    g.fillRect(0,0,getSize().width-2,2);
	}
}

